Get analytics overview
Deprecated. Use /v2/intelligence/analytics/overview instead. Retrieve a high-level summary of fleet, vehicle, driver, and trailer counts for your organization.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
fleet_ids
Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).
fleet_refs
Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).
connection_id
Limit results to a specific provider connection. This is the UUID assigned by Catena when your fleet connects to a TSP.
Response
Successful Response
fleets
Current count of active fleets.
vehicles
Current count of active vehicles.
drivers
Current count of active drivers.
trailers
Current count of active trailers.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
501
Not Implemented Error